package com.jz.dmp.modules.controller.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.BeanUtils;

import com.alibaba.fastjson.JSONObject;
import com.jz.common.constant.CommConstant;
import com.jz.dmp.modules.controller.DataIntegration.bean.flow.FlowPro;
import com.jz.dmp.modules.model.DmpDevelopTask;

public class MyDmpDevelopTaskConverter {
	
	private static MyDmpDevelopTaskConverter instance;
	
	private MyDmpDevelopTaskConverter() {};
	
	public synchronized static MyDmpDevelopTaskConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpDevelopTaskConverter();
		}
		
		return instance;
	}
	
	public DmpDevelopTaskDto domain2dto(DmpDevelopTask dmpDevelopTask) {
		if (dmpDevelopTask == null) {
			return null;
		}
		DmpDevelopTaskDto dmpDevelopTaskDto = new DmpDevelopTaskDto();
		BeanUtils.copyProperties(dmpDevelopTask, dmpDevelopTaskDto);
		
		return dmpDevelopTaskDto;
	}
	
	public List<DmpDevelopTaskDto> domain2dto(List<DmpDevelopTask> dmpDevelopTasks) {
		List<DmpDevelopTaskDto> dmpDevelopTaskDtos = new ArrayList<DmpDevelopTaskDto>();
		dmpDevelopTasks.stream().forEach(x -> {
			dmpDevelopTaskDtos.add(domain2dto(x));
		});
		
		return dmpDevelopTaskDtos;
	}

	/**  
	* @Title: task2flowpro  
	* @Description: TODO(任务转工作流封装)  
	* @param @param dmpDevelopTask
	* @param @return    参数  
	* @return FlowPro    返回类型  
	* @throws  
	*/ 
	public FlowPro task2flowpro(DmpDevelopTask dmpDevelopTask) {
		FlowPro flowPro = new FlowPro();
		BeanUtils.copyProperties(dmpDevelopTask, flowPro);
		//工作流名称
		flowPro.setFlowName(dmpDevelopTask.getName());
		//流程要发布到的项目id
		flowPro.setPublishedToProjectId(dmpDevelopTask.getProjectId().longValue());
		//dmp里生成的任务id
		flowPro.setTaskId(dmpDevelopTask.getId().longValue());
		//dmp生成树ID
		flowPro.setTreeId(dmpDevelopTask.getTreeId().longValue());
		
		String script = dmpDevelopTask.getScript();
		// 整个流程图数据
		flowPro.setFlowJson(script);
		JSONObject scriptJson = JSONObject.parseObject(script);
		// 调度周期设置
		flowPro.setScheduleSetting(scriptJson.getString("scheduleSetting"));
		// 失败选项
		flowPro.setAfterFailSelect(scriptJson.getString("afterFailSelect"));
		
		return flowPro;
	}
	
	/**  
	* @Title: scriptToFlowProJson  
	* @Description: TODO(这里用一句话描述这个方法的作用)  
	* @param @param script
	* @param @return    参数  
	* @return String    返回类型  
	* @throws  
	*/ 
	private String scriptToFlowProJson(String script) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("flowPro", script);
		return JSONObject.toJSONString(map);
	}

}
