package com.jz.dmp.modules.controller.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;

import com.jz.dmp.modules.model.DmpProject;

public class MyDmpProjectConverter {
	
	private static MyDmpProjectConverter instance;
	
	private MyDmpProjectConverter() {};
	
	public synchronized static MyDmpProjectConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpProjectConverter();
		}
		
		return instance;
	}
	
	public DmpProjectDto domain2dto(DmpProject dmpProject) {
		DmpProjectDto dmpProjectDto = new DmpProjectDto();
		BeanUtils.copyProperties(dmpProject, dmpProjectDto);
		
		return dmpProjectDto;
	}
	
	public List<DmpProjectDto> domain2dto(List<DmpProject> dmpProjects) {
		List<DmpProjectDto> dmpProjectDtos = new ArrayList<DmpProjectDto>();
		dmpProjects.stream().forEach(x -> {
			dmpProjectDtos.add(domain2dto(x));
		});
		
		return dmpProjectDtos;
	}
	
	public DmpProject dto2domain(DmpProjectDto dmpProjectDto) {
		DmpProject dmpProject = new DmpProject();
		BeanUtils.copyProperties(dmpProjectDto, dmpProject);
		
		return dmpProject;
	}
	
	public List<DmpProject> dto2domain(List<DmpProjectDto> dmpProjectDtos) {
		List<DmpProject> dmpProjects = new ArrayList<DmpProject>();
		dmpProjectDtos.stream().forEach(x -> {
			dmpProjects.add(domain2dto(x));
		});
		
		return dmpProjects;
	}

}
