package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 实时同步任务版本记录(DmpRealtimeTaskHistory)实体类
 *
 * @author Bellamy
 * @since 2021-02-02 18:16:43
 */
@ApiModel(value = "实时同步任务版本记录", description = "实时同步任务版本记录")
public class DmpRealtimeTaskHistory implements Serializable {
    private static final long serialVersionUID = 862155366631362474L;
    /**
     * 实时同步任务版本记录ID
     */
    @ApiModelProperty(value = "实时同步任务版本记录ID")
    private Integer realtimeHistoryId;
    /**
     * 实时同步任务id
     */
    @ApiModelProperty(value = "实时同步任务id")
    private Integer realtimeSyncId;
    /**
     * treeID
     */
    @ApiModelProperty(value = "treeID")
    private Integer treeId;
    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private Integer projectId;
    /**
     * 源数据库id
     */
    @ApiModelProperty(value = "源数据库id")
    private Integer srcDatasourceId;
    /**
     * 目标数据库id
     */
    @ApiModelProperty(value = "目标数据库id")
    private Integer targetDatasourceId;
    /**
     * 源数据库表名称
     */
    @ApiModelProperty(value = "源数据库表名称")
    private String srcTableName;
    /**
     * 目标数据库表名称
     */
    @ApiModelProperty(value = "目标数据库表名称")
    private String targetTableName;

    @ApiModelProperty(value = "${column.comment}")
    private Integer type;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String connectorJobId;

    @ApiModelProperty(value = "${column.comment}")
    private Object connectorJsonData;

    @ApiModelProperty(value = "${column.comment}")
    private String srcTopicName;
    /**
     * 脱敏字段
     */
    @ApiModelProperty(value = "脱敏字段")
    private String desensitizationField;
    /**
     * 加密算法
     */
    @ApiModelProperty(value = "加密算法")
    private String arithmetic;
    /**
     * 主键名称
     */
    @ApiModelProperty(value = "主键名称")
    private String pkName;
    /**
     * 源类型名称
     */
    @ApiModelProperty(value = "源类型名称")
    private String sourceTypeName;
    /**
     * 目标类型名称
     */
    @ApiModelProperty(value = "目标类型名称")
    private String targetTypeName;
    /**
     * 源数据库类型
     */
    @ApiModelProperty(value = "源数据库类型")
    private String srcDatabaseType;
    /**
     * 源数据库名称
     */
    @ApiModelProperty(value = "源数据库名称")
    private String srcDatabaseName;
    /**
     * 目标数据源URL连接信息
     */
    @ApiModelProperty(value = "目标数据源URL连接信息")
    private String connectorUrl;
    /**
     * 目标数据库类型
     */
    @ApiModelProperty(value = "目标数据库类型")
    private String targetDatabaseType;
    /**
     * 目标数据库名称
     */
    @ApiModelProperty(value = "目标数据库名称")
    private String targetDatabaseName;
    /**
     * 来源数据源
     */
    @ApiModelProperty(value = "来源数据源")
    private String srcDatasourceName;
    /**
     * 目标数据源
     */
    @ApiModelProperty(value = "目标数据源")
    private String targetDatasourceName;
    /**
     * 存储类型
     */
    @ApiModelProperty(value = "存储类型")
    private String storeType;
    /**
     * 版本号
     */
    @ApiModelProperty(value = "版本号")
    private String version;
    /**
     * 任务状态
     */
    @ApiModelProperty(value = "任务状态")
    private String status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String crePerson;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String uptPerson;
    /**
     * 0 删除，1未删除
     */
    @ApiModelProperty(value = "0 删除，1未删除")
    private String dataStatus;


    public Integer getRealtimeHistoryId() {
        return realtimeHistoryId;
    }

    public void setRealtimeHistoryId(Integer realtimeHistoryId) {
        this.realtimeHistoryId = realtimeHistoryId;
    }

    public Integer getRealtimeSyncId() {
        return realtimeSyncId;
    }

    public void setRealtimeSyncId(Integer realtimeSyncId) {
        this.realtimeSyncId = realtimeSyncId;
    }

    public Integer getTreeId() {
        return treeId;
    }

    public void setTreeId(Integer treeId) {
        this.treeId = treeId;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Integer getSrcDatasourceId() {
        return srcDatasourceId;
    }

    public void setSrcDatasourceId(Integer srcDatasourceId) {
        this.srcDatasourceId = srcDatasourceId;
    }

    public Integer getTargetDatasourceId() {
        return targetDatasourceId;
    }

    public void setTargetDatasourceId(Integer targetDatasourceId) {
        this.targetDatasourceId = targetDatasourceId;
    }

    public String getSrcTableName() {
        return srcTableName;
    }

    public void setSrcTableName(String srcTableName) {
        this.srcTableName = srcTableName;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getConnectorJobId() {
        return connectorJobId;
    }

    public void setConnectorJobId(String connectorJobId) {
        this.connectorJobId = connectorJobId;
    }

    public Object getConnectorJsonData() {
        return connectorJsonData;
    }

    public void setConnectorJsonData(Object connectorJsonData) {
        this.connectorJsonData = connectorJsonData;
    }

    public String getSrcTopicName() {
        return srcTopicName;
    }

    public void setSrcTopicName(String srcTopicName) {
        this.srcTopicName = srcTopicName;
    }

    public String getDesensitizationField() {
        return desensitizationField;
    }

    public void setDesensitizationField(String desensitizationField) {
        this.desensitizationField = desensitizationField;
    }

    public String getArithmetic() {
        return arithmetic;
    }

    public void setArithmetic(String arithmetic) {
        this.arithmetic = arithmetic;
    }

    public String getPkName() {
        return pkName;
    }

    public void setPkName(String pkName) {
        this.pkName = pkName;
    }

    public String getSourceTypeName() {
        return sourceTypeName;
    }

    public void setSourceTypeName(String sourceTypeName) {
        this.sourceTypeName = sourceTypeName;
    }

    public String getTargetTypeName() {
        return targetTypeName;
    }

    public void setTargetTypeName(String targetTypeName) {
        this.targetTypeName = targetTypeName;
    }

    public String getSrcDatabaseType() {
        return srcDatabaseType;
    }

    public void setSrcDatabaseType(String srcDatabaseType) {
        this.srcDatabaseType = srcDatabaseType;
    }

    public String getSrcDatabaseName() {
        return srcDatabaseName;
    }

    public void setSrcDatabaseName(String srcDatabaseName) {
        this.srcDatabaseName = srcDatabaseName;
    }

    public String getConnectorUrl() {
        return connectorUrl;
    }

    public void setConnectorUrl(String connectorUrl) {
        this.connectorUrl = connectorUrl;
    }

    public String getTargetDatabaseType() {
        return targetDatabaseType;
    }

    public void setTargetDatabaseType(String targetDatabaseType) {
        this.targetDatabaseType = targetDatabaseType;
    }

    public String getTargetDatabaseName() {
        return targetDatabaseName;
    }

    public void setTargetDatabaseName(String targetDatabaseName) {
        this.targetDatabaseName = targetDatabaseName;
    }

    public String getSrcDatasourceName() {
        return srcDatasourceName;
    }

    public void setSrcDatasourceName(String srcDatasourceName) {
        this.srcDatasourceName = srcDatasourceName;
    }

    public String getTargetDatasourceName() {
        return targetDatasourceName;
    }

    public void setTargetDatasourceName(String targetDatasourceName) {
        this.targetDatasourceName = targetDatasourceName;
    }

    public String getStoreType() {
        return storeType;
    }

    public void setStoreType(String storeType) {
        this.storeType = storeType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

}