package com.jz.dmp.modules.service.projconfig;

import java.util.List;
import javax.servlet.http.HttpServletRequest;
import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.projconfig.bean.DmpProjectEngineParamBatch;
import com.jz.dmp.modules.controller.projconfig.bean.DmpProjectEngineParamDto;
import com.jz.dmp.modules.controller.projconfig.bean.DmpProjectEngineParamRequest;
import com.jz.dmp.modules.model.DmpProjectEngineParam;

/**
 * 计算引擎项目参数表服务接口
 * @author ybz
 *
 */
public interface DmpProjectEngineParamService {

	/**条件分頁查询所有计算引擎项目参数表
	 * @param dmpProjectEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpProjectEngineParamDto> findListWithPage(DmpProjectEngineParamRequest dmpProjectEngineParamRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件查询所有计算引擎项目参数表
	 * @param dmpProjectEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectEngineParamDto> findList(DmpProjectEngineParamRequest dmpProjectEngineParamRequest, HttpServletRequest httpRequest)throws Exception;

	

	/**新增计算引擎项目参数表
	 * @param dmpProjectEngineParam
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectEngineParam> add(DmpProjectEngineParam dmpProjectEngineParam, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询计算引擎项目参数表
	 * @param projectParamId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectEngineParamDto> findById(Integer projectParamId, HttpServletRequest httpRequest)throws Exception;

	/**修改计算引擎项目参数表
	 * @param dmpProjectEngineParam
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectEngineParam> edit(DmpProjectEngineParam dmpProjectEngineParam, HttpServletRequest httpRequest)throws Exception;
	
	/**新增或修改计算引擎项目参数表
	 * @param dmpProjectEngineParam
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectEngineParam> addOrEdit(DmpProjectEngineParam dmpProjectEngineParam, HttpServletRequest httpRequest)throws Exception;


	/**主键删除计算引擎项目参数表
	 * @param projectParamId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(Integer projectParamId, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除计算引擎项目参数表
	 * @param projectParamId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer projectParamId, HttpServletRequest httpRequest)throws Exception;
	
	/**条件删除计算引擎项目参数表
	 * @param dmpProjectEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse delete(DmpProjectEngineParamRequest dmpProjectEngineParamRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件软删除计算引擎项目参数表
	 * @param dmpProjectEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDelete(DmpProjectEngineParamRequest dmpProjectEngineParamRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增计算引擎项目参数表
	 * @param dmpProjectEngineParamVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectEngineParamBatch> addBatch(DmpProjectEngineParamBatch dmpProjectEngineParamBatch, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(根据主键批量删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse deleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(根据主键批量软删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse softDeleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;

}
